Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Christoph Mende (angelos)" <angelos@g.o>
Subject: gentoo-x86 commit in xfce-base/xfce-utils: metadata.xml xfce-utils-4.4.2-r1.ebuild ChangeLog
Date: Wed, 24 Sep 2008 15:43:08 +0000
angelos     08/09/24 15:43:08

  Modified:             metadata.xml xfce-utils-4.4.2-r1.ebuild ChangeLog
  Log:
  Added lock USE flag for screen locking, bug 235092
  (Portage version: 2.2_rc9/cvs/Linux 2.6.27-rc6 x86_64)

Revision  Changes    Path
1.2                  xfce-base/xfce-utils/metadata.xml

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce-utils/metadata.xml?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce-utils/metadata.xml?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce-utils/metadata.xml?r1=1.1&r2=1.2

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/xfce-base/xfce-utils/metadata.xml,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- metadata.xml	4 Nov 2003 04:47:36 -0000	1.1
+++ metadata.xml	24 Sep 2008 15:43:07 -0000	1.2
@@ -2,4 +2,7 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
 <herd>xfce</herd>
+<use>
+	<flag name='lock'>Enable screen locking</flag>
+</use>
 </pkgmetadata>



1.8                  xfce-base/xfce-utils/xfce-utils-4.4.2-r1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce-utils/xfce-utils-4.4.2-r1.ebuild?rev=1.8&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce-utils/xfce-utils-4.4.2-r1.ebuild?rev=1.8&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce-utils/xfce-utils-4.4.2-r1.ebuild?r1=1.7&r2=1.8

Index: xfce-utils-4.4.2-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/xfce-base/xfce-utils/xfce-utils-4.4.2-r1.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- xfce-utils-4.4.2-r1.ebuild	17 Dec 2007 18:36:48 -0000	1.7
+++ xfce-utils-4.4.2-r1.ebuild	24 Sep 2008 15:43:07 -0000	1.8
@@ -1,6 +1,8 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/xfce-base/xfce-utils/xfce-utils-4.4.2-r1.ebuild,v 1.7 2007/12/17 18:36:48 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/xfce-base/xfce-utils/xfce-utils-4.4.2-r1.ebuild,v 1.8 2008/09/24 15:43:07 angelos Exp $
+
+EAPI=1
 
 inherit eutils xfce44
 
@@ -10,7 +12,7 @@
 DESCRIPTION="Collection of utils"
 HOMEPAGE="http://www.xfce.org/projects/xfce-utils"
 KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sparc x86 ~x86-fbsd"
-IUSE="dbus debug"
+IUSE="dbus debug +lock"
 
 RDEPEND="x11-apps/xrdb
 	x11-libs/libX11
@@ -19,7 +21,10 @@
 	>=xfce-base/libxfcegui4-${XFCE_MASTER_VERSION}
 	>=xfce-base/libxfce4mcs-${XFCE_MASTER_VERSION}
 	>=xfce-base/xfce-mcs-manager-${XFCE_MASTER_VERSION}
-	dbus? ( dev-libs/dbus-glib )"
+	dbus? ( dev-libs/dbus-glib )
+	lock? ( || ( x11-misc/xscreensaver
+		gnome-extra/gnome-screensaver
+		x11-misc/xlockmore ) )"
 DEPEND="${RDEPEND}
 	dev-util/pkgconfig"
 



1.124                xfce-base/xfce-utils/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce-utils/ChangeLog?rev=1.124&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce-utils/ChangeLog?rev=1.124&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce-utils/ChangeLog?r1=1.123&r2=1.124

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/xfce-base/xfce-utils/ChangeLog,v
retrieving revision 1.123
retrieving revision 1.124
diff -u -r1.123 -r1.124
--- ChangeLog	17 Dec 2007 18:36:48 -0000	1.123
+++ ChangeLog	24 Sep 2008 15:43:07 -0000	1.124
@@ -1,6 +1,10 @@
 # ChangeLog for xfce-base/xfce-utils
-# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/xfce-base/xfce-utils/ChangeLog,v 1.123 2007/12/17 18:36:48 jer Exp $
+# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/xfce-base/xfce-utils/ChangeLog,v 1.124 2008/09/24 15:43:07 angelos Exp $
+
+  24 Sep 2008; Christoph Mende <angelos@g.o> metadata.xml,
+  xfce-utils-4.4.2-r1.ebuild:
+  Added lock USE flag for screen locking, bug 235092
 
   17 Dec 2007; Jeroen Roovers <jer@g.o> xfce-utils-4.4.2-r1.ebuild:
   Stable for HPPA (bug #201747).





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-i18n/qimhangul: ChangeLog qimhangul-0.1.2.ebuild qimhangul-0.0.2.ebuild
Next by thread:
gentoo-x86 commit in app-text/xfbib: - New directory
Previous by date:
gentoo-x86 commit in profiles: ChangeLog use.local.desc
Next by date:
gentoo-x86 commit in profiles: use.local.desc


Updated Jun 24, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.